OpenAI API DocsCommunity translation · Official structure

Resources

Vector Stores File Batches — Cancel

OpenAI API endpoint method reference.

English source
This English page is rendered from the official Markdown mirror in this repository.View on OpenAI ↗

For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.

Cancel vector store file batch

post /vector_stores/{vector_store_id}/file_batches/{batch_id}/cancel

Cancel a vector store file batch. This attempts to cancel the processing of files in this batch as soon as possible.

Path Parameters

  • vector_store_id: string

  • batch_id: string

Returns

  • VectorStoreFileBatch object { id, created_at, file_counts, 3 more }

    A batch of files attached to a vector store.

    • id: string

      The identifier, which can be referenced in API endpoints.

    • created_at: number

      The Unix timestamp (in seconds) for when the vector store files batch was created.

    • file_counts: object { cancelled, completed, failed, 2 more }

      • cancelled: number

        The number of files that where cancelled.

      • completed: number

        The number of files that have been processed.

      • failed: number

        The number of files that have failed to process.

      • in_progress: number

        The number of files that are currently being processed.

      • total: number

        The total number of files.

    • object: "vector_store.files_batch"

      The object type, which is always vector_store.file_batch.

      • "vector_store.files_batch"
    • status: "in_progress" or "completed" or "cancelled" or "failed"

      The status of the vector store files batch, which can be either in_progress, completed, cancelled or failed.

      • "in_progress"

      • "completed"

      • "cancelled"

      • "failed"

    • vector_store_id: string

      The ID of the vector store that the File is attached to.

Example

curl https://api.openai.com/v1/vector_stores/$VECTOR_STORE_ID/file_batches/$BATCH_ID/cancel \
    -X POST \
    -H 'OpenAI-Beta: assistants=v2' \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "file_counts": {
    "cancelled": 0,
    "completed": 0,
    "failed": 0,
    "in_progress": 0,
    "total": 0
  },
  "object": "vector_store.files_batch",
  "status": "in_progress",
  "vector_store_id": "vector_store_id"
}

Example

curl https://api.openai.com/v1/vector_stores/vs_abc123/files_batches/vsfb_abc123/cancel \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v2" \
  -X POST

Response

{
  "id": "vsfb_abc123",
  "object": "vector_store.file_batch",
  "created_at": 1699061776,
  "vector_store_id": "vs_abc123",
  "status": "in_progress",
  "file_counts": {
    "in_progress": 12,
    "completed": 3,
    "failed": 0,
    "cancelled": 0,
    "total": 15,
  }
}